Page MenuHomePhabricator

Growth: 2018-2019 annual plan metrics report
Closed, ResolvedPublicJun 1 2019

Description

The Growth team needs to create a report to track our annual plan metrics for 2018-2019. This report will be shared with the broader WMF organization and will be posted here on mediawiki.org.

According to the annual plan, the Growth team's main metric is second-month new contributor retention in Czech and Korean Wikipedias. There is also a secondary metric, "mentor retention", that we will also want to report on if/when our team implements mentorship programs.

Therefore, the task is to:

  • Build a report that tracks second-month new contributor retention rate among logged-in users in Czech and Korean Wikipedias.
  • The same report should also track these metrics that are relevant to the Growth team's upcoming work:
    • Day One Activation Rate
    • Two-Week Retention Rate
    • Six-Week Survival Rate
  • If it trivial to make additional mid-size wikis available in the report, we should add that capability.
  • The report should be built in Superset.
  • The report should update on a sensible schedule. If we are tracking second-week retention, perhaps it should update weekly.
  • The report should follow these four general requirements:
    • Discoverable: it should be linked at mediawiki.org so that others can find it.
    • Unique: we should make sure that other teams are not producing similar, redundant reports.
    • Accessible: it should be labeled and explained with accompanying written content that defines terms and data sources, such that people unfamiliar with our team's work can still follow along.
    • Certified: we should continue to validate that the report is tracking reality correctly.

Before making a final product in Superset, it would probably make sense to make prototype versions in something like Google Sheets or a Python notebook.

Details

Due Date
Jun 1 2019, 7:00 AM

Event Timeline

Restricted Application added a subscriber: revi. · View Herald TranscriptAug 9 2018, 11:43 PM
Tbayer moved this task from Triage to Backlog on the Product-Analytics board.Aug 16 2018, 8:14 PM
nettrom_WMF added a subscriber: Nettrom.
nettrom_WMF removed a subscriber: Nettrom.
RHo added a subscriber: RHo.Sep 19 2018, 12:18 PM
JTannerWMF moved this task from Q1 2018-19 to FY 2019-20 on the Growth-Team board.Sep 26 2018, 5:55 PM
JTannerWMF edited projects, added Growth-Team (Current Sprint); removed Growth-Team.
MMiller_WMF updated the task description. (Show Details)Oct 2 2018, 11:12 PM
MMiller_WMF updated the task description. (Show Details)
MMiller_WMF set Due Date to Oct 29 2018, 7:00 AM.Oct 2 2018, 11:24 PM
Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptOct 2 2018, 11:24 PM
nettrom_WMF moved this task from Backlog to Next Up on the Product-Analytics board.Oct 5 2018, 3:52 PM
Restricted Application added a subscriber: Urbanecm. · View Herald TranscriptOct 17 2018, 5:58 PM
nettrom_WMF triaged this task as Medium priority.Oct 30 2018, 4:41 PM
nettrom_WMF changed Due Date from Oct 29 2018, 7:00 AM to Nov 30 2018, 8:00 AM.

The deadline on this task was 7 days ago. Any news? Or any new deadline?

nettrom_WMF changed Due Date from Nov 30 2018, 8:00 AM to Jun 1 2019, 7:00 AM.Feb 13 2019, 7:02 PM
nettrom_WMF edited projects, added Growth-Team; removed Growth-Team (Current Sprint).
nettrom_WMF moved this task from Inbox to Q1 2019-20 on the Growth-Team board.

@MMiller_WMF : given that we've had the Year in Review, can we close this task?

MMiller_WMF closed this task as Resolved.Sep 21 2019, 12:29 AM

That's fine. Thanks.